// packed_float.fx

const highp vec4	c_vPackFloatRGBAFactors		= vec4( 1.0, 255.0, 65025.0, 160581375.0 );
const highp vec4	c_vUnpackFloatRGBAFActors	= vec4( 1.0, 1.0/255.0, 1.0/65025.0, 1.0/160581375.0 );
//==================================================================================================
//==================================================================================================
highp vec4 PackFloatRGBA( float v )
{
  return fract( c_vPackFloatRGBAFactors * v );
}
//==================================================================================================
//==================================================================================================
float UnpackFloatRGBA( highp vec4 rgba ) 
{
  return dot( rgba, c_vUnpackFloatRGBAFActors );
}
