// zpass.fx
//
//// global.fx

#ifdef HAS_OPENGL_ES
#	ifdef VSHADER
		precision highp float;
		precision highp int;
#	endif
#	ifdef FSHADER
		precision mediump float;
		precision mediump int;
#	endif
#else
#	define highp
#	define lowp 
#	define mediump
#endif //HAS_OPENGL_ES

//

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform mat4		u_ModelViewProj;

//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------

#ifdef VSHADER
//--------------------------------------------------------------------------------------------------
// Vertex attributes
//--------------------------------------------------------------------------------------------------
attribute vec4	a_vPosition;
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	gl_Position	= u_ModelViewProj * a_vPosition;
}
#endif
#ifdef FSHADER
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
}
#endif
